### Method

# GObject BindingGroup bind_full

since: 2.72

#### Declaration

    void
    g_binding_group_bind_full (
      GBindingGroup* self,
      const gchar* source_property,
      GObject* target,
      const gchar* target_property,
      GBindingFlags flags,
      GBindingTransformFunc transform_to,
      GBindingTransformFunc transform_from,
      gpointer user_data,
      GDestroyNotify user_data_destroy
    )

#### Description

Creates a binding between `source_property` on the source object and `target_property` on `target`, allowing you to set the transformation functions to be used by the binding. The binding flag `G_BINDING_SYNC_CREATE` is automatically specified.

See `g_object_bind_property_full()` for more information.

Available since: 2.72

The implementation of this method is provided by `g_binding_group_bind_with_closures()` in language bindings.

#### Parameters

`source_property`

  Type: `const gchar*`

  The property on the source to bind.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`target`

  Type: `GObject`

  The target `GObject`.

  The data is owned by the caller of the method.

`target_property`

  Type: `const gchar*`

  The property on `target` to bind.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GBindingFlags`

  The flags used to create the `GBinding`.

`transform_to`

  Type: `GBindingTransformFunc`

  The transformation function from the source object to the `target`, or `NULL` to use the default.

  The argument can be `NULL`.

`transform_from`

  Type: `GBindingTransformFunc`

  The transformation function from the `target` to the source object, or `NULL` to use the default.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Custom data to be passed to the transformation functions, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`user_data_destroy`

  Type: `GDestroyNotify`

  Function to be called when disposing the binding, to free the resources used by the transformation functions.